#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {

	long n;
	cin>>n;
	long a[n];
	for(long i=0;i<n;i++)
	{ 
	cin>>a[i];
	}
	if(n==2)
	{
		cout<<a[1]<<" "<<a[0];
		exit(0);
	}
	for(long x=0;x<n;x++)
	{
		for(long g=x;g<n;g++)
		{
			if(a[g]>a[x])
			{
				swap(a[g],a[x]);
			
				break;
			}
			
		}	
	}
	
	
	
	for(long d=0;d<n;d++)
	{
		cout<<a[d]<<" ";
		
	}
	return 0;
}